org.appng.api

## Class ProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.appng.api.ProcessingException

- All Implemented Interfaces:
    Serializable

      public class ProcessingException
      extends Exception

  A checked exception that is thrown by `CallableAction` and `CallableDataSource`, to indicate an error occurred while assembling the `PageReference`.
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingException(String message, FieldProcessor fieldProcessor)` Creates a new `ProcessingException`.
    `ProcessingException(String message, Throwable cause, FieldProcessor fieldProcessor)` Creates a new `ProcessingException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldProcessor` | `getFieldProcessor()` Returns the `FieldProcessor` in charge when the error occurred

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingException

          public ProcessingException(String message,
                                     FieldProcessor fieldProcessor)

      Creates a new `ProcessingException`.
      Parameters:
        `message` - the error message.
        `fieldProcessor` - the `FieldProcessor` in charge when the error occurred, used to append some further details about the error via `FieldProcessor.addErrorMessage(String)`

    - #### ProcessingException

          public ProcessingException(String message,
                                     Throwable cause,
                                     FieldProcessor fieldProcessor)

      Creates a new `ProcessingException`.
      Parameters:
        `message` - the error message
        `cause` - the cause of the error
        `fieldProcessor` - the `FieldProcessor` in charge when the error occurred, used to append some further details about the error via `FieldProcessor.addErrorMessage(String)`

  - ### Method Detail

    - #### getFieldProcessor

          public FieldProcessor getFieldProcessor()

      Returns the `FieldProcessor` in charge when the error occurred
      Returns:
        the `FieldProcessor`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.